Skip to navigation

Update account custom field

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

customFieldIdstringRequired

Query parameters

apply_to_templatesstringOptional

Request

This endpoint expects an object: customField

customFieldTypestringOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
fieldIdstringOptional
An ID used to specify a custom field.
listItemslist of stringsOptional
namestringOptional
requiredstringOptional

When set to true, the signer is required to fill out this tab

showstringOptional

A boolean indicating if the value should be displayed. If this value is set to true, the custom field is displayed at the top of the certificate of completion. If this value is left blank/ or set to false, then it does not appear in the certificate of completion.

valuestringOptional
Specifies the value of the tab.

Response

Successful response.
listCustomFieldslist of objectsOptional
An array of list custom fields.
textCustomFieldslist of objectsOptional
An array of text custom fields.

Errors

400
Bad Request Error